# Payment Notification

This is a feature from Faspay system recurring for notification to Merchant, the system will notify Merchant by URL. URL notification is provided by Merchant. For notification, Faspay uses a request with JSON.

**URL-Merchant                       :** http(s)://Merchant>/api

### Request Parameter:&#x20;

{% tabs %}
{% tab title="Parameters" %}

<table><thead><tr><th width="214">Parameter</th><th width="130">Type</th><th width="87" align="center">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>request</td><td>Varchar</td><td align="center">M</td><td>Request Description</td></tr><tr><td>trx_id</td><td>Varchar (50)</td><td align="center">M</td><td>Transaction ID of creditcard</td></tr><tr><td>merchant_id</td><td>Numeric (5)</td><td align="center">M</td><td>Merchant code</td></tr><tr><td>member_id</td><td>Varchar (50)</td><td align="center">M</td><td>System Member ID</td></tr><tr><td>merchant_member_id</td><td>Varchar (50)</td><td align="center">M</td><td>Merchant’s Member ID</td></tr><tr><td>payment_reff</td><td>Numeric (64)</td><td align="center">M</td><td>&#x3C;would be fill if the payment has been made></td></tr><tr><td>payment_date</td><td>Datetime</td><td align="center">M</td><td>YYYY-MM-DD HH:MM:SS</td></tr><tr><td>payment_status_code</td><td>Varchar</td><td align="center">M</td><td><p>Payment Status :</p><p>2 = Payment Sukses</p><p>3 = Payment Failed</p></td></tr><tr><td>payment_status_desc</td><td>Numeric(12)</td><td align="center">M</td><td>Payment status description</td></tr><tr><td>signature</td><td>date</td><td align="center">M</td><td>sha1(md5(bot+boi+pass+trx_id+status) *status is result from transaction status of credit card</td></tr><tr><td>url_notif</td><td>date</td><td align="center">M</td><td>URL notif merchant</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Code Request" %}

```json
{  
   "request":"Payment Notification",
   "trx_id":"5C4B9A99-4C54-4577-9B90-6453EC972526",
   "merchant_id":"98765",
   "member_id":10651,
   "merchant_member_id":"2019041000004",
   "payment_reff":"2019041000004_20190412150224",
   "payment_date":"2019-04-12 15:02:22",
   "payment_status_code":2,
   "payment_status_desc":"Payment Success",
   "signature":"aa076e1155ca941b865d4176ee005c24b08c3e0e",
   "url_notif":"http://sandbox.faspay.co.id/welcome/log2"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/recurring-payment-api/json-message-format/payment-notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
